Community
Civil 3D Forum
Welcome to Autodesk’s Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

AECC_Cogo_Point & Lisp/VBA

12 REPLIES 12
Reply
Message 1 of 13
Jim.Brinkmeyer
1249 Views, 12 Replies

AECC_Cogo_Point & Lisp/VBA

Question
I need to know how to build a selection set of AECC_COGO_POINTS so that I may re-
write an application to re-load the Northing/ Easting/ elevation and description data from our field data collector files.

(1) How do I create a selection set of AECC_COGO_POINT objects (if they are objects, they 'feel' more like data fields of the Point_Group object)?
Previous code:
(cond
((= :PSELBY "select")(setq :PSS (ssget (list (cons 0 "AECC_POINT")))))
((= :PSELBY "all") (setq :PSS (ssget "x" (list (cons 0 "AECC_POINT")))))
((= :PSELBY "layer")
(setq :PSS (ssget "x" (list (cons 0 "AECC_POINT")
(assoc 8 (entget (car (entsel "\nSelect Layer:"))))))) )
)

In Civ3D points import directly into an AECC_POINT_GROUP and AECC_COGO_POINTs (Note: NOT AECC_POINTs) are sub-objects (maybe?) to the group. An individual point
explodes to an anonymous block which in turn explodes to 2 subblocks which then explode to mtext and lines

(setq :PSS (ssget "x" (list (cons 0 "AECC_POINT_GROUP"))))
Returns the point group
and
(setq :PSS (ssget "x" (list (cons 0 "AECC_COGO_POINT")))) Returns nil

Any suggestions apreiciated.

(2) The following VBA code is what we used to 're-stuff' the descriptior data into the object. The program goes on from there to insert blocks (linked to the descriptor code) on specific layers and finally create linework (also referenced from the descriptor codes) again on specific layers.

What I need to know is how to reference the object model.

Sub Change_Desc(PtNum As Long, ptdesc As String)
On Error GoTo Error_resume_next

' This gets a CogoPoint given a point number.
Dim cogoPnts As AeccCogoPoints
Dim cogoPnt As AeccCogoPoint

Set cogoPnts = AeccApplication.ActiveProject.CogoPoints
Set cogoPnt = cogoPnts.PointByNumber(PtNum)
cogoPnt.RawDescription = ptdesc
cogoPnt.Save

Error_resume_next:
Resume Next

End Sub

Sub ReadTextFile()
Const ForReading = 1, ForWriting = 2, ForAppending = 3
Dim fs, f, PtTest
Dim PtNum As Long
Dim ptdesc As String

Set fs = CreateObject("Scripting.FileSystemObject")
Set f = fs.OpenTextFile("C:\TEMP\Sort.tmp", ForReading, TristateFalse)
PtTest = f.readline
While PtTest <> "**.EOF"
ptdesc = f.readline
PtNum = CLng(PtTest)
Call Change_Desc(PtNum, ptdesc)

PtTest = f.readline
Wend

f.Close

Again, any suggestions apreiciated

Regards - jim Brinkmeyer -- Portland, Oreogn
12 REPLIES 12
Message 2 of 13
Anonymous
in reply to: Jim.Brinkmeyer

Hi Jim,
You will need to look at the SelectPoint method of the CivilDoc Object and
the Find method of the Points Object.

See a post I made about this in the customization.VBA newsgroup back in
December in a thread titled "Select aeccpoint in Civil3d"

Jeff in rainy Veneta, OR

wrote in message news:5068878@discussion.autodesk.com...
Question
I need to know how to build a selection set of AECC_COGO_POINTS so that I
may re-
write an application to re-load the Northing/ Easting/ elevation and
description data from our field data collector files.
Message 3 of 13

Hey Jeff
Thanks and I'll look up your post. I was hoping that somebody else out there needed to be able to do this... Do you know if anyone's published a good listing on the Civil.Doc object anywhere?

Jim -- Oh and it's raining here in Lake Oswego OR to...
Message 4 of 13
Anonymous
in reply to: Jim.Brinkmeyer

I don't know of any published material, other than the oh so descriptive
"Help" files. Nor have I seen any of the regular LandDesktop coders posting
about what they are doing and/or having problems with, with the lone
exception of Laurie Comerford. I don't know if this is due to the challenge
C3D has given us or if they've decided it doesn't need much help from us....
:-)

wrote in message news:5068915@discussion.autodesk.com...
Hey Jeff
Thanks and I'll look up your post. I was hoping that somebody else out
there needed to be able to do this... Do you know if anyone's published a
good listing on the Civil.Doc object anywhere?

Jim -- Oh and it's raining here in Lake Oswego OR to...
Message 5 of 13
Anonymous
in reply to: Jim.Brinkmeyer

There's not been much done, and what has been done is hacks like me just
modifying subassemblies and doing some minor things. I've played with
profiles, etc, but not really too much with points. I _do_ know that the
point is no longer the object, the point group is. If I understood the
conversation correctly, this allows C3D to store more points by a
multiplicative factor versus LDT.

You're right Jeff, most of the LDT guys are still in LDT...or too busy
coding their changes to comment.

--
James Wedding, P.E.
Engineered Efficiency, Inc.
Civil 3D 2006 SP2
XP Tablet, SP2, 2GHz, 1.5G
www.ee2inc.com
www.civil3d.com
Message 6 of 13
Anonymous
in reply to: Jim.Brinkmeyer

Let me rephrase that...Steltman, ASE, and Rizzo...definitely Rizzo, are
working on things. I just don't know of a bunch of folks.

--
James Wedding, P.E.
Engineered Efficiency, Inc.
Civil 3D 2006 SP2
XP Tablet, SP2, 2GHz, 1.5G
www.ee2inc.com
www.civil3d.com
Message 7 of 13
Anonymous
in reply to: Jim.Brinkmeyer

Hi James,

Don't forget Jon Rasmussen. His Stringer routines are at the cutting edge
of Point handling in C3D.

--

Laurie Comerford
CADApps
www.cadapps.com.au
"James Wedding" wrote in message
news:5068990@discussion.autodesk.com...
Let me rephrase that...Steltman, ASE, and Rizzo...definitely Rizzo, are
working on things. I just don't know of a bunch of folks.

--
James Wedding, P.E.
Engineered Efficiency, Inc.
Civil 3D 2006 SP2
XP Tablet, SP2, 2GHz, 1.5G
www.ee2inc.com
www.civil3d.com
Message 8 of 13
Anonymous
in reply to: Jim.Brinkmeyer

Here are a couple of routines I use for creating an array of the points I
want to play with:

Public g_oAeccDoc As AeccDocument
Public Const sAppName = "AeccXUiLand.AeccApplication"
Public AECPOINTS As AeccPoints
Public aecpoint As AeccPoint
Public chaecpoint As AeccPoint
Public PROCEED As Boolean
Public selectedpoints As Variant
Public g_oAeccDb As AeccDatabase
Private Const sSiteName = "SITE 1"
Dim value() As String

Function getCivilObjects() As Boolean

Dim oApp As AcadApplication
Set oApp = ThisDrawing.Application

Set G_OCIVILAPP = oApp.GetInterfaceObject(sAppName)
If G_OCIVILAPP Is Nothing Then
MsgBox "Error creating " & sAppName & ", exit."
getCivilObjects = False
Exit Function
End If
Set g_oAeccDoc = G_OCIVILAPP.ActiveDocument
Set g_oAeccDb = g_oAeccDoc.Database
getCivilObjects = True
End Function
Public Function getSite() As AeccSite
On Error Resume Next

Dim oSites As AeccSites
Set oSites = g_oAeccDb.Sites

Set getSite = oSites.Item(0)
End Function

Public Sub GETALLC3DPOINTS()
getCivilObjects
Set AECPOINTS = g_oAeccDoc.points
Dim i As Long
If AECPOINTS.Count = 0 Then
Exit Sub
Else
ReDim points(AECPOINTS.Count - 1)
For i = 0 To AECPOINTS.Count - 1
Set aecpoint = AECPOINTS.Item(i)
points(i).Number = aecpoint.Number
points(i).code = aecpoint.RawDescription
points(i).east = aecpoint.EASTING
points(i).north = aecpoint.NORTHING
points(i).RL = aecpoint.ELEVATION
Next
End If
Call sort_points
'Set AECPOINTS = Nothing
End Sub

Sub GETSOMEC3DPOINTS()
Dim i As Long, j As Long, numeric As String
Dim pointdesc As String
Dim newdesc As String
On Error Resume Next
getCivilObjects
selectedpoints = g_oAeccDoc.SelectPoints
Set AECPOINTS = g_oAeccDoc.points
ReDim points(0)
Dim numpts As Long
pointnumber = -1
If UBound(selectedpoints) = -1 Then 'the user has pressed the enter key,
indicating they want to select all points
numpts = AECPOINTS.Count - 1
Else
numpts = UBound(selectedpoints)
End If
ReDim points(numpts)
For i = 0 To numpts
If UBound(selectedpoints) = -1 Then
Set aecpoint = AECPOINTS.Item(i)
Else
Set aecpoint = AECPOINTS.Find(selectedpoints(i))
End If
Debug.Print aecpoint.Number
points(i).Number = aecpoint.Number
points(i).code = aecpoint.RawDescription
points(i).east = aecpoint.EASTING
points(i).north = aecpoint.NORTHING
points(i).RL = aecpoint.ELEVATION
Next
Call sort_points

End Sub

wrote in message news:5068878@discussion.autodesk.com...
Question
I need to know how to build a selection set of AECC_COGO_POINTS so that I
may re-
write an application to re-load the Northing/ Easting/ elevation and
description data from our field data collector files.

(1) How do I create a selection set of AECC_COGO_POINT objects (if they are
objects, they 'feel' more like data fields of the Point_Group object)?
Previous code:
(cond
((= :PSELBY "select")(setq :PSS (ssget (list (cons 0 "AECC_POINT")))))
((= :PSELBY "all") (setq :PSS (ssget "x" (list (cons 0 "AECC_POINT")))))
((= :PSELBY "layer")
(setq :PSS (ssget "x" (list (cons 0 "AECC_POINT")
(assoc 8 (entget (car (entsel "\nSelect Layer:"))))))) )
)

In Civ3D points import directly into an AECC_POINT_GROUP and
AECC_COGO_POINTs (Note: NOT AECC_POINTs) are sub-objects (maybe?) to the
group. An individual point
explodes to an anonymous block which in turn explodes to 2 subblocks which
then explode to mtext and lines

(setq :PSS (ssget "x" (list (cons 0 "AECC_POINT_GROUP"))))
Returns the point group
and
(setq :PSS (ssget "x" (list (cons 0 "AECC_COGO_POINT")))) Returns nil

Any suggestions apreiciated.

(2) The following VBA code is what we used to 're-stuff' the descriptior
data into the object. The program goes on from there to insert blocks
(linked to the descriptor code) on specific layers and finally create
linework (also referenced from the descriptor codes) again on specific
layers.

What I need to know is how to reference the object model.

Sub Change_Desc(PtNum As Long, ptdesc As String)
On Error GoTo Error_resume_next

' This gets a CogoPoint given a point number.
Dim cogoPnts As AeccCogoPoints
Dim cogoPnt As AeccCogoPoint

Set cogoPnts = AeccApplication.ActiveProject.CogoPoints
Set cogoPnt = cogoPnts.PointByNumber(PtNum)
cogoPnt.RawDescription = ptdesc
cogoPnt.Save

Error_resume_next:
Resume Next

End Sub

Sub ReadTextFile()
Const ForReading = 1, ForWriting = 2, ForAppending = 3
Dim fs, f, PtTest
Dim PtNum As Long
Dim ptdesc As String

Set fs = CreateObject("Scripting.FileSystemObject")
Set f = fs.OpenTextFile("C:\TEMP\Sort.tmp", ForReading, TristateFalse)
PtTest = f.readline
While PtTest <> "**.EOF"
ptdesc = f.readline
PtNum = CLng(PtTest)
Call Change_Desc(PtNum, ptdesc)

PtTest = f.readline
Wend

f.Close

Again, any suggestions apreiciated

Regards - jim Brinkmeyer -- Portland, Oreogn
Message 9 of 13
jmodglin
in reply to: Jim.Brinkmeyer

I have built quite a few functions using the SelectPoint function in VBA.

I would really love the option to select points per the selection on the screen (the SelectPoints only returns numbers in the order of the number not in order of selection).

I would also really love the option to select ONE point without having the user press enter to end the SelectPoints.

I just assumed these improvements would come but from the comments not many are developing yet in C3D,and that gets many worried that these options are quite a ways down the road.

Josh
Message 10 of 13

Thanks everyone and I'll post back when I get something useful... Now can anyone point me to any information on exactly what references I should be loading?
Message 11 of 13
Anonymous
in reply to: Jim.Brinkmeyer

From the C3D developer help (note that, depending on what you are working
with, you don't need all of them, see the examples in the Sample folder):
Autodesk Civil Engineering Land Object Model

Referencing the Automation Type Libraries
Whenever a new project is created, the supporting libraries must be
referenced. This ActiveX programming interface requires references to six
automation type libraries before any coding begins:

a.. Autodesk Civil Engineering Land 3.0 Object Library (AeccXLand30)
b.. Autodesk Civil Engineering UI Land 3.0 Object Library (AeccXUiLand30)

c.. AEC Base 4.7 Application Library (AecXUiBase47)
d.. AEC Base 4.7 Object Library (AecXBase47)
e.. Autodesk Civil Engineering Corridor 3.0 Object Library
(AeccXRoadway30)

f.. Autodesk Civil Engineering UI Corridor 3.0 Object Library
(AeccXUIRoadway30)

g.. Autodesk Civil Engineering Pipes 3.0 Object Library (AeccXPipes30)

h.. Autodesk Civil Engineering UI Pipes 3.0 Object Library
(AeccXUIPipes30)

These libraries provide access to all Objects, Properties, Methods, and
Events in this API. Use the VBAIDE References dialog box to select the type
libraries you want to use.


To open the References dialog box in the Microsoft Visual Basic editor

1.. On the Tools menu, click References.
2.. Scroll through the list and select the required automation type
libraries.
3.. Click OK.
NOTE: The Civil, AEC Base, and AeccXRoadway type library references should
be ordered as shown above. Use the Priority buttons in the VBAIDE References
dialog box to reorder references if necessary.

wrote in message news:5070129@discussion.autodesk.com...
Thanks everyone and I'll post back when I get something useful... Now can
anyone point me to any information on exactly what references I should be
loading?
Message 12 of 13

OK Everyone after hacking away at all your code examples and the C3D 06 VBA examples as well here's what I have working... On to the next part, changing descriptors and moving point objects to client specific layers. I'll post the whole thing when I get there... Here's where I am for now (with lots of remarks).

(General Main - This Drawing).
' C:\Program Files\Autodesk Civil 3D 2006\Civil\*.tlb
' a.. Autodesk Civil Engineering Land 3.0 Object Library (AeccXLand30)
' b.. Autodesk Civil Engineering UI Land 3.0 Object Library (AeccXUiLand30)
' c.. AEC Base 4.7 Application Library (AecXUiBase47)
' C:\Program files\Land Desktop 2006\AECXUIBase47.Tlb
' C:\Program files\Land Desktop 2006\AECXBase47.Tlb
' d.. AEC Base 4.7 Object Library (AecXBase47)
' e.. Autodesk Civil Engineering Corridor 3.0 Object Library (AeccXRoadway30)
' f.. Autodesk Civil Engineering UI Corridor 3.0 Object Library (AeccXUIRoadway30)
' g.. Autodesk Civil Engineering Pipes 3.0 Object Library (AeccXPipes30)
' h.. Autodesk Civil Engineering UI Pipes 3.0 Object Library (AeccXUIPipes30)
' C:\Program Files\Autodesk Civil 3D 2006\Sample\Civil 3D API\Vba\ImportPointFile\
' ImportPointsSample.Dvb (Sample)

' References
'Visual Basic for Application
'AutoCAD 2006 Type Library
'Autodesk Civil Engineering Land 3.0 Object Library
'AEC Base 4.7 Application Library
'AEC Base 4.7 Object Library
'Autodesk Civil engineering UI Land 3.0 Object Library

'Microsoft Forms 2.0 Object Library

Option Explicit

Sub main()
'always get the objects again since MDI is supported
If getCivilObjects = False Then
Exit Sub
End If

If selectAeccPoint = False Then
Debug.Print "Error with Select Point sub-routine"
Exit Sub
End If

End Sub

(Application Module)

Option Explicit

Public g_oCivilApp As AeccApplication
Public g_oAeccDoc As AeccDocument
Public g_oAeccDb As AeccDatabase

' Start Vine and create Vine document and database objects.

Function getCivilObjects() As Boolean
Dim oApp As AcadApplication ' ThisDrawing.Application.ZoomExtents
Set oApp = ThisDrawing.Application
Const sAppName = "AeccXUiLand.AeccApplication"
Set g_oCivilApp = oApp.GetInterfaceObject(sAppName)
MsgBox "Starting in Application module"

If g_oCivilApp Is Nothing Then
MsgBox "Error creating " & sAppName & ", exit."
getCivilObjects = False
Exit Function
End If

Set g_oAeccDoc = g_oCivilApp.ActiveDocument
Set g_oAeccDb = g_oAeccDoc.Database
getCivilObjects = True
End Function

Function selectAeccPoint() As Boolean
Dim vPointNum As Variant
Dim cPoints As AeccPoints
Dim oPoint As AeccPoint
Dim I As Long

If Not getCivilObjects Then Exit Function
' Aeccdocument Object property (Gets the collection of all AeccPoint objects in the drawing.)
Set cPoints = g_oAeccDoc.Points ' Public Property Points() As AeccPoints
' Command ("acad.exe")
ThisDrawing.Utility.Prompt vbCr & "Select point(s): " ' Prompt at the command line
' Using Select Points Method, Prompts to select points and returns the selected point numbers.
vPointNum = g_oAeccDoc.SelectPoints ' Aeccdocument Object method (User Selection)

' Parse through array from 1 to the largest available subscript for the indicated dimension of an array.
For I = 0 To UBound(vPointNum)
' find method Gets the point with the given point number from the collection
Set oPoint = cPoints.Find(vPointNum(I))
' Prompt tp the command line (chr 10 = linefeed) with current point properties
ThisDrawing.Utility.Prompt Chr(10) & vbCr & "Array #: " & I & " (" & _
oPoint.Number & ") " & " North:" & oPoint.Northing & " East:" & _
oPoint.Easting & " Elev:" & oPoint.Elevation & " Descrip:" _
& oPoint.FullDescription
Next I

ThisDrawing.Utility.Prompt Chr(10) & vbCr & "Total Points in Collection [" _
& cPoints.Count & "] " & Chr(10)

' Aeccpoint object members
' Convergence | Easting | Elevation | FullDescription | GridEasting | GridNorthing |
' LabelStyle | Latitude | Layer (for description key) | Location (a 3 element array
' of doubles X/Y/z) | Longitiude | Name (must be unique) | Northing | Number
' (no duplicates) | RawDescription | Scale (for point RO) | Style | Stylename -->
' Description Key Matching (?)

' AeccPoints Collection Members: Public Methods -->
' Add | Add Multiple | Delete | Exportpoints | Find | GetExtensionDictionary |
' GetXData | Importpoints (ASCII or MDB) | Item (get by index) | Remove | SetXdata |
' TransferPoints | Public Properties --> Application | count (# in collection) |
' Document (DWG) | Handle | HasExtensionDictionary | ObjectID | ObjectName (ACAD
' Class Name) | Owner ID

Set g_oAeccDb = Nothing ' ogCivilDatabase
Set g_oAeccDoc = Nothing ' ogCivilDocument
Set g_oCivilApp = Nothing ' ogCivilpplication

End Function


Thanks for all the help! j
Message 13 of 13
Anonymous
in reply to: Jim.Brinkmeyer

very nice.

Jon

wrote in message news:5073333@discussion.autodesk.com...
OK Everyone after hacking away at all your code examples and the C3D 06 VBA
examples as well here's what I have working... On to the next part,
changing descriptors and moving point objects to client specific layers.
I'll post the whole thing when I get there... Here's where I am for now
(with lots of remarks).

(General Main - This Drawing).
' C:\Program Files\Autodesk Civil 3D 2006\Civil\*.tlb
' a.. Autodesk Civil Engineering Land 3.0 Object Library (AeccXLand30)

' b.. Autodesk Civil Engineering UI Land 3.0 Object Library
(AeccXUiLand30)
' c.. AEC Base 4.7 Application Library (AecXUiBase47)
' C:\Program files\Land Desktop 2006\AECXUIBase47.Tlb
' C:\Program files\Land Desktop 2006\AECXBase47.Tlb
' d.. AEC Base 4.7 Object Library (AecXBase47)
' e.. Autodesk Civil Engineering Corridor 3.0 Object Library
(AeccXRoadway30)
' f.. Autodesk Civil Engineering UI Corridor 3.0 Object Library
(AeccXUIRoadway30)
' g.. Autodesk Civil Engineering Pipes 3.0 Object Library (AeccXPipes30)
' h.. Autodesk Civil Engineering UI Pipes 3.0 Object Library
(AeccXUIPipes30)
' C:\Program Files\Autodesk Civil 3D 2006\Sample\Civil 3D
API\Vba\ImportPointFile\
' ImportPointsSample.Dvb (Sample)

' References
'Visual Basic for Application
'AutoCAD 2006 Type Library
'Autodesk Civil Engineering Land 3.0 Object Library
'AEC Base 4.7 Application Library
'AEC Base 4.7 Object Library
'Autodesk Civil engineering UI Land 3.0 Object Library

'Microsoft Forms 2.0 Object Library

Option Explicit

Sub main()
'always get the objects again since MDI is supported
If getCivilObjects = False Then
Exit Sub
End If

If selectAeccPoint = False Then
Debug.Print "Error with Select Point sub-routine"
Exit Sub
End If

End Sub

(Application Module)

Option Explicit

Public g_oCivilApp As AeccApplication
Public g_oAeccDoc As AeccDocument
Public g_oAeccDb As AeccDatabase

' Start Vine and create Vine document and database objects.

Function getCivilObjects() As Boolean
Dim oApp As AcadApplication '
ThisDrawing.Application.ZoomExtents
Set oApp = ThisDrawing.Application
Const sAppName = "AeccXUiLand.AeccApplication"
Set g_oCivilApp = oApp.GetInterfaceObject(sAppName)
MsgBox "Starting in Application module"

If g_oCivilApp Is Nothing Then
MsgBox "Error creating " & sAppName & ", exit."
getCivilObjects = False
Exit Function
End If

Set g_oAeccDoc = g_oCivilApp.ActiveDocument
Set g_oAeccDb = g_oAeccDoc.Database
getCivilObjects = True
End Function

Function selectAeccPoint() As Boolean
Dim vPointNum As Variant
Dim cPoints As AeccPoints
Dim oPoint As AeccPoint
Dim I As Long

If Not getCivilObjects Then Exit Function
' Aeccdocument Object property (Gets the collection of all AeccPoint
objects in the drawing.)
Set cPoints = g_oAeccDoc.Points ' Public Property Points()
As AeccPoints
' Command ("acad.exe")
ThisDrawing.Utility.Prompt vbCr & "Select point(s): " ' Prompt at the
command line
' Using Select Points Method, Prompts to select points and returns the
selected point numbers.
vPointNum = g_oAeccDoc.SelectPoints ' Aeccdocument Object method
(User Selection)

' Parse through array from 1 to the largest available subscript for the
indicated dimension of an array.
For I = 0 To UBound(vPointNum)
' find method Gets the point with the given point number from the
collection
Set oPoint = cPoints.Find(vPointNum(I))
' Prompt tp the command line (chr 10 = linefeed) with current point
properties
ThisDrawing.Utility.Prompt Chr(10) & vbCr & "Array #: " & I & " (" &
_
oPoint.Number & ") " & " North:" & oPoint.Northing & " East:" &
_
oPoint.Easting & " Elev:" & oPoint.Elevation & " Descrip:" _
& oPoint.FullDescription
Next I

ThisDrawing.Utility.Prompt Chr(10) & vbCr & "Total Points in Collection
[" _
& cPoints.Count & "] " & Chr(10)

' Aeccpoint object members
' Convergence | Easting | Elevation | FullDescription | GridEasting
| GridNorthing |
' LabelStyle | Latitude | Layer (for description key) | Location (a
3 element array
' of doubles X/Y/z) | Longitiude | Name (must be unique) | Northing
| Number
' (no duplicates) | RawDescription | Scale (for point RO) | Style |
Stylename -->
' Description Key Matching (?)

' AeccPoints Collection Members: Public Methods -->
' Add | Add Multiple | Delete | Exportpoints | Find |
GetExtensionDictionary |
' GetXData | Importpoints (ASCII or MDB) | Item (get by index) |
Remove | SetXdata |
' TransferPoints | Public Properties --> Application | count (# in
collection) |
' Document (DWG) | Handle | HasExtensionDictionary | ObjectID |
ObjectName (ACAD
' Class Name) | Owner ID

Set g_oAeccDb = Nothing ' ogCivilDatabase
Set g_oAeccDoc = Nothing ' ogCivilDocument
Set g_oCivilApp = Nothing ' ogCivilpplication

End Function


Thanks for all the help! j

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


Autodesk Design & Make Report